Subject: Re: [PATCH] cvs-migration document: make the need for "push" more obvious

From: Jakub Narebski <[email-masked]>
Date: Wed, 6 Dec 2006 14:27:57 +0100

Hi!

Johannes Schindelin wrote:

> On Wed, 6 Dec 2006, Jakub Narebski wrote:
> 
>> Johannes Schindelin wrote:
>> 
>>> +  * Since every working tree contains a repository, a commit will not
>>> +    publish your changes; it will only create a revision. You have to
>>> +    "push" your changes to a public repository to make them visible
>>> +    to others.
>>> +

I'd perhaps add here that it doesn't "push" your changes to a repository
you cloned from / you fetch from.
 
>> I'm not sure about context of this addition, but it is simply not
>> true if you publish your working repository.
> 
> Remember, you are talking to CVS users. They are not dumb, but sooo used 
> to the CVS ways. So, they do not publish their working directory.

So we are talking in context of having CVS-like one central repository
from which they pull / fetch, and to which they push?
 
> Later, when they became familiar with Git, you can tell them: "BTW you can 
> also publish your working directory, but then you have to be extra careful 
> with git-commit --amend, and if you allow pushing into your repo you have 
> to add hooks to prevent updating your current HEAD, etc."

I'd rather say that "publish your working repository", not "working
directory" here.

> Give them a chance to get used to the concepts of Git.

Well, it would be best to teach them concepts of git along.

-- 
Jakub Narebski